20 Commits

Author SHA1 Message Date
mollusk 5937bc493f Like a year of changes, lazy, sorry 2020-06-24 10:05:20 -07:00
mollusk 4bc0cdf4f0 Merge branch 'master' of https://github.com/void-linux/void-mklive 2020-06-07 23:05:47 -07:00
Michael Aldridge da9626bf54 Dockerfile: update bootstrap alpine version to 3.12 2020-06-07 17:52:59 -07:00
root 37c9885ae2 Merge branch 'master' of https://github.com/void-linux/void-mklive 2020-05-09 21:27:18 -07:00
Piotr Wójcik fc40e50ff9 Dockerfile: remove spdx-licenses-list
Including a copy in void-packages turned out better solution.
Grep in image don't have required perl regexps, and getting
one that have make linting slower by order of magnitude.
Even if it was already there, simply using image is
unnecessarily slower.

This reverts commit 163a923529.
2020-05-08 21:04:08 -07:00
root 9aac388193 Merge branch 'master' of https://github.com/void-linux/void-mklive 2020-04-21 06:51:17 -07:00
Renato Aguiar 31df80c341 Postpone package configuration
Instruct xbps-install to do unpack only, so packages can be properly
configured by xbps-reconfigure call.

Before, xbps-install was sometimes marking packages as configured,
thus making xbps-reconfigure call useless.
2020-03-16 12:53:36 +01:00
root 865a99cbdb Merge branch 'master' of https://github.com/void-linux/void-mklive 2020-02-28 10:24:56 -07:00
Juan RP d2969a7708 README.md: the scripts are not in flux, remove obsolete comment. 2020-02-27 11:48:08 +01:00
Piraty 557be33ae7 build-x86-images.sh: remove intel-ucode from X_PKGS
intel-ucode went to nonfree repository
with void-packages/450dd113fbb87e9299161bb7143536249ecb16c2

It makes more sense in permanent installations anyway
2020-02-27 11:45:10 +01:00
Juan RP 529c48e54a Makefile: fix the clean target 2020-02-27 11:39:33 +01:00
Renato Aguiar 707943982b Only set root partition start on pinebookpro 2020-02-24 22:42:39 -08:00
Renato Aguiar 4861b7619d Increase partitions shift on pinebookpro
Create boot partition starting at 32768 sectors on pinebookpro
platforms. That leaves enough unallocated space to install u-boot
without overlapping with any partition.
2020-02-24 19:53:12 -08:00
Renato Aguiar a7a20d50d3 Fix execution of post install scripts on cross builds
Add missing call to register_binfmt before installing packages on
mkrootfs.
2020-02-20 15:03:44 +01:00
Renato Aguiar 9b0805471a Add support for Pinebook Pro (pinebookpro) 2020-02-20 13:00:52 +01:00
Renato Aguiar cc93f013b0 Prefer repositories from '-r' in mkplatformfs
This allows replacing existing packages with custom built ones and
makes mkplatformfs behavior consistent with mkrootfs.
2020-02-20 12:54:12 +01:00
Duncan Overbruck 2b1aa4f45d lib: make sure /tmp is there and mount it 2020-02-17 21:27:14 -08:00
Adam Gausmann 3c12c74de0 Add -o <outfile> to mkplatformfs.sh for feature parity 2020-02-14 10:29:14 -08:00
Piraty 4ffa689706 mkimage.sh.in: explicitly set 'PermitRootLogin yes' in sshd_config
So far, image generation relied on the config shipped in the openssh
package to ensure root login with password, but as this might change in
the future, explicitly apply and document this requirement for embedded
images here instead.

The exception for GCP (disable root login) should still work as
intended.
2020-01-20 10:32:35 +01:00
toluschr 95e305c461 Added possibility to choose the partitioning software 2020-01-04 10:03:19 +01:00
78 changed files with 582 additions and 262 deletions
Regular → Executable
View File
Regular → Executable
+2 -3
View File
@@ -1,5 +1,5 @@
# 1) use alpine to generate a void environment
FROM alpine:3.9 as stage0
FROM alpine:3.12 as stage0
ARG REPOSITORY=https://alpha.de.repo.voidlinux.org
ARG ARCH=x86_64
COPY keys/* /target/var/db/xbps/keys/
@@ -17,7 +17,6 @@ FROM scratch as stage1
ARG REPOSITORY=https://alpha.de.repo.voidlinux.org
ARG ARCH=x86_64
ARG BASEPKG=base-minimal
ARG ADDINS=
COPY --from=stage0 /target /
COPY keys/* /target/var/db/xbps/keys/
RUN xbps-reconfigure -a && \
@@ -26,7 +25,7 @@ RUN xbps-reconfigure -a && \
--repository=${REPOSITORY}/current \
--repository=${REPOSITORY}/current/musl \
-r /target \
${BASEPKG} ${ADDINS}
${BASEPKG}
# 3) configure and clean up the final image
FROM scratch
Regular → Executable
+2 -2
View File
@@ -41,7 +41,7 @@ COMPRESSOR_THREADS=2
all: $(SCRIPTS)
clean:
rm -v *.sh
-rm -f *.sh
distdir-$(DATECODE):
mkdir -p distdir-$(DATECODE)
@@ -99,6 +99,6 @@ masterdir-all-print:
masterdir-all: $(ALL_MASTERDIRS)
masterdir-%:
$(SUDO) docker build --build-arg REPOSITORY=$(XBPS_REPOSITORY) --build-arg ARCH=$* --build-arg ADDINS=spdx-licenses-list -t voidlinux/masterdir-$*:$(DATECODE) .
$(SUDO) docker build --build-arg REPOSITORY=$(XBPS_REPOSITORY) --build-arg ARCH=$* -t voidlinux/masterdir-$*:$(DATECODE) .
.PHONY: clean dist rootfs-all-print rootfs-all platformfs-all-print platformfs-all pxe-all-print pxe-all masterdir-all-print masterdir-all masterdir-push-all
Regular → Executable
-6
View File
@@ -46,9 +46,3 @@ Build an x86\_64 musl live image with packages stored in a local repository:
# ./mklive.sh -a x86_64-musl -r /path/to/host/binpkgs
See the usage output for more information :-)
These scripts are in flux, if you want to build a duplicate of a
production image, its not a bad idea to ping maldridge on IRC. This
message will be removed when this readme is replaced with complete
documentation.
Regular → Executable
+3
View File
@@ -11,6 +11,9 @@ mdadm
#USERLAND PACKAGES
exfat-utils
fuse-exfat
wget
NetworkManager
nano
vim
+29 -18
View File
@@ -2,46 +2,57 @@
echo "========================="
echo "| BASE VOID x86_64 |"
echo " ------------------------"
CURRENT=https://alpha.de.repo.voidlinux.org/current
MUTILIB=https://alpha.de.repo.voidlinux.org/current
#NONFREE=https://repo.voidlinux.eu/current/nonfree
CURRENT=https://mirrors.servercentral.com/voidlinux/current
MUTILIB=https://mirrors.servercentral.com/voidlinux/current/multilib
NONFREE=https://mirrors.servercentral.com/voidlinux/current/nonfree
FILENAME="void-live-unofficial"
DATE=$(date +%Y%m%d)
KERNEL=$(uname -r)
BUILDDIR="$(pwd)/build"
#shift $((OPTIND - 1))
retry=0
# Run mklive command with set architechure, repos and package list
until [ -f ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso ];do
#: ${ARCH:=$(uname -m)}
((retry++))
if [[ $retry -eq 2 ]];then
break
fi
sudo ./mklive.sh \
-a x86_64 \
-r ${CURRENT} \
-r ${MUTILIB} \
-p "$(grep '^[^#].' base-x64.packages)" \
-T "Void Linux Unofficial" \
-o ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso
sudo ./mklive.sh \
-a x86_64 \
-r "${CURRENT}" \
-r "${MULTILIB}" \
-p "$(grep '^[^#].' base-x64.packages)" \
-T "${DESKTOP}" \
-o ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso
done
if [ ! -f ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso ];then
echo "Error: ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso : does not exist! Aborting!"
echo "ERR=1" > error-status.txt
exit 1
# Make sure resulting ISO exists and sent error to webpage if not
if [ ! -f ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso ];then
echo "Error: ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso : does not exist! Aborting!"
echo "ERR=1" > error-status.txt
exit 1
fi
# Add iso file to checksum list
sha256sum ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso >> sha256sums.txt
# Check if checksum file exists, send error to webpage if not
if [ ! -f sha256sums.txt ];then
echo "Missing checksum file, aborting!"
echo "ERR=1" > error-status.txt
exit 1
fi
# make sure build directory exists and create it if not
if [ ! -d "${BUILDDIR}" ];then
mkdir ${BUILDDIR}
fi
# Move the iso file to the build directory
mv ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso build
+7 -3
View File
@@ -1,5 +1,5 @@
#!/bin/bash
clear
HTMLDIR="/var/www/voidbuilds.xyz/public"
FILENAME="status.html"
ISODIR="download"
@@ -39,10 +39,10 @@ mvImages(){
cp cinnamon-x64.packages ${PKGLISTDIR}/cinnamon-x64.packages.txt
cp e17-x64.packages ${PKGLISTDIR}/e17-x64.packages.txt
cp mate-x64.packages ${PKGLISTDIR}/mate-x64.packages.txt
cp lxde-x64.packages ${PKGLISTDIR}/lxde-x64.packages.txt
# cp lxde-x64.packages ${PKGLISTDIR}/lxde-x64.packages.txt
cp lxqt-x64.packages ${PKGLISTDIR}/lxqt-x64.packages.txt
cp i3-x64.packages ${PKGLISTDIR}/i3-x64.packages.txt
#cp kde-x64.packages ${PKGLISTDIR}/kde-x64.packages.txt
cp kde-x64.packages ${PKGLISTDIR}/kde-x64.packages.txt
#cp gnome-x64.packages ${PKGLISTDIR}/gnome-x64.packages.txt
cp xfce-x64.packages ${PKGLISTDIR}/xfce-x64.packages.txt
@@ -240,6 +240,7 @@ genSpecs(){
echo "AMDGPU Version: $(xbps-query -R xf86-video-amdgpu| grep pkgver | sed 's/pkgver://')</br></br>" >> ${HTMLDIR}/${FILENAME}
echo "</html>" >> ${HTMLDIR}/${FILENAME}
}
genHtml(){
FILENAME="status.html"
@@ -333,6 +334,9 @@ case ${1} in
done
;;
-c|-clean)
cleanUp
;;
*)
echo -e "\nusage: ${0} [-bn, -bl]\n"
Regular → Executable
+1 -1
View File
@@ -29,7 +29,7 @@ readonly LXQT_IMG=void-live-${ARCH}-${DATE}-lxqt.iso
readonly GRUB="grub-i386-efi grub-x86_64-efi"
readonly BASE_PKGS="dialog cryptsetup lvm2 mdadm $GRUB"
readonly X_PKGS="$BASE_PKGS xorg-minimal xorg-input-drivers xorg-video-drivers setxkbmap xauth font-misc-misc terminus-font dejavu-fonts-ttf alsa-plugins-pulseaudio intel-ucode"
readonly X_PKGS="$BASE_PKGS xorg-minimal xorg-input-drivers xorg-video-drivers setxkbmap xauth font-misc-misc terminus-font dejavu-fonts-ttf alsa-plugins-pulseaudio"
readonly E_PKGS="$X_PKGS lxdm enlightenment terminology econnman udisks2 firefox-esr"
readonly XFCE_PKGS="$X_PKGS lxdm xfce4 gnome-themes-standard gnome-keyring network-manager-applet gvfs-afc gvfs-mtp gvfs-smb udisks2 firefox-esr"
readonly MATE_PKGS="$X_PKGS lxdm mate mate-extra gnome-keyring network-manager-applet gvfs-afc gvfs-mtp gvfs-smb udisks2 firefox-esr"
Regular → Executable
+7 -3
View File
@@ -12,7 +12,7 @@ mdadm
xorg-minimal
xorg-input-drivers
xorg-video-drivers
intel-ucode
#intel-ucode
setxkbmap
xauth
font-misc-misc
@@ -22,8 +22,11 @@ alsa-plugins-pulseaudio
#USERLAND PACKAGES
elogind
exfat-utils
fuse-exfat
wget
lxdm
pm-utils
nano
xdg-utils
xdg-desktop-portal
@@ -44,7 +47,7 @@ vim
dtrx
unzip
p7zip
unrar
#unrar
bash-completion
cinnamon
xrandr
@@ -68,3 +71,4 @@ ntfs-3g
gnome-keyring
network-manager-applet
firefox
papirus-icon-theme
+30 -16
View File
@@ -3,31 +3,45 @@ DESKTOP="cinnamon"
echo "========================="
echo "| ${DESKTOP} VOID x86_64 |"
echo " ------------------------"
CURRENT=https://alpha.de.repo.voidlinux.org/current
MUTILIB=https://alpha.de.repo.voidlinux.org/current/multilib
NONFREE=https://alpha.de.repo.voidlinux.org/current/nonfree
CURRENT=https://mirrors.servercentral.com/voidlinux/current
MUTILIB=https://mirrors.servercentral.com/voidlinux/current/multilib
NONFREE=https://mirrors.servercentral.com/voidlinux/current/nonfree
FILENAME="void-live-${DESKTOP}-unofficial"
DATE=$(date +%Y%m%d)
KERNEL=$(uname -r)
BUILDDIR="$(pwd)/build"
#shift $((OPTIND - 1))
retry=0
#: ${ARCH:=$(uname -m)}
until [ -f ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso ];do
sudo ./mklive.sh \
-a x86_64 \
-r ${CURRENT} \
-r ${MUTILIB} \
-r ${NONFREE} \
-p "$(grep '^[^#].' ${DESKTOP}-x64.packages)" \
-T "Void Linux ${DESKTOP} Unofficial" \
-o ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso
((retry++))
if [[ $retry -gt 2 ]];then
break
fi
sudo ./mklive.sh \
-a x86_64 \
-r "${CURRENT}" \
-r "${MULTILIB}" \
-p "$(grep '^[^#].' ${DESKTOP}-x64.packages)" \
-T "Void Linux ${DESKTOP} Unofficial" \
-o ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso
done
if [ ! -f ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso ];then
echo "Error: ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso : does not exist! Aborting!"
echo "ERR=1" > error-status.txt
exit 1
retries=${1}
until [[ $retries -gt 2 ]];do
echo "Retrying build ${retries}"
((retries++))
bash ${0} ${retries}
done
if [[ ! -f ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso ]];then
echo "Error: ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso : does not exist! Aborting!"
echo "ERR=1" > error-status.txt
exit 1
fi
fi
sha256sum ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso >> sha256sums.txt
Regular → Executable
View File
Regular → Executable
BIN
View File
Binary file not shown.

Before

Width:  |  Height:  |  Size: 98 KiB

After

Width:  |  Height:  |  Size: 25 KiB

Regular → Executable
View File
View File
View File
Regular → Executable
View File
Regular → Executable
View File
Regular → Executable
View File
Regular → Executable
View File
View File
Regular → Executable
View File
Regular → Executable
View File
Regular → Executable
View File
Regular → Executable
+6 -3
View File
@@ -13,7 +13,6 @@ xorg-minimal
xorg-input-drivers
xorg-video-drivers
xrandr
intel-ucode
setxkbmap
xauth
font-misc-misc
@@ -23,6 +22,10 @@ alsa-plugins-pulseaudio
#USERLAND PACKAGES
elogind
exfat-utils
fuse-exfat
wget
lxdm
enlightenment
terminology
@@ -44,7 +47,6 @@ upower
flatpak
zenity
bash-completion
pm-utils
nano
xdg-utils
vim
@@ -56,6 +58,8 @@ pavucontrol
xterm
htop
tuxc
dtrx
p7zip
topgrade
ntp
void-repo-multilib
@@ -70,6 +74,5 @@ ntfs-3g
gnome-keyring
network-manager-applet
firefox
Adapta
papirus-icon-theme
gnome-themes-standard
Regular → Executable
+4 -1
View File
@@ -27,8 +27,11 @@ alsa-plugins-pulseaudio
#USERLAND PACKAGES
elogind
exfat-utils
fuse-exfat
wget
gdm
pm-utils
bash-completion
nano
git
+29 -17
View File
@@ -3,30 +3,42 @@ DESKTOP="gnome"
echo "========================="
echo "| ${DESKTOP} VOID x86_64 |"
echo " ------------------------"
CURRENT=https://alpha.de.repo.voidlinux.org/current
MUTILIB=https://alpha.de.repo.voidlinux.org/current/multilib
#NONFREE=https://repo.voidlinux.eu/current/nonfree
CURRENT=https://mirrors.servercentral.com/voidlinux/current
MUTILIB=https://mirrors.servercentral.com/voidlinux/current/multilib
#NONFREE=https://mirrors.servercentral.com/voidlinux/current/nonfree
FILENAME="void-live-${DESKTOP}-unofficial"
DATE=$(date +%Y%m%d)
KERNEL=$(uname -r)
BUILDDIR="$(pwd)/build"
#shift $((OPTIND - 1))
#: ${ARCH:=$(uname -m)}
sudo ./mklive.sh \
-a x86_64 \
-r ${CURRENT} \
-r ${MUTILIB} \
-p "$(grep '^[^#].' ${DESKTOP}-x64.packages)" \
-T "Void Linux ${DESKTOP} Unofficial" \
-o ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso
retry=0
until [ -f ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso ];do
((retry++))
if [[ $retry -gt 2 ]];then
break
fi
sudo ./mklive.sh \
-a x86_64 \
-r "${CURRENT}" \
-r "${MULTILIB}" \
-p "$(grep '^[^#].' ${DESKTOP}-x64.packages)" \
-T "Void Linux ${DESKTOP} Unofficial" \
-o ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso
done
if [ ! -f ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso ];then
echo "Error: ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso : does not exist! Aborting!"
echo "ERR=1" > error-status.txt
exit 1
retries=${1}
until [[ $retries -gt 2 ]];do
echo "Retrying build ${retries}"
((retries++))
bash ${0} ${retries}
done
if [[ ! -f ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso ]];then
echo "Error: ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso : does not exist! Aborting!"
echo "ERR=1" > error-status.txt
exit 1
fi
fi
sha256sum ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso >> sha256sums.txt
Regular → Executable
View File
Regular → Executable
View File
Regular → Executable
View File
Regular → Executable
+6 -2
View File
@@ -9,10 +9,12 @@ lvm2
mdadm
# X PACKAGES
elogind
exfat-utils
fuse-exfat
xorg-minimal
xorg-input-drivers
xorg-video-drivers
intel-ucode
setxkbmap
xauth
xrandr
@@ -23,8 +25,8 @@ alsa-plugins-pulseaudio
#USERLAND PACKAGES
wget
lxdm
pm-utils
nano
xdg-utils
xdg-desktop-portal
@@ -54,6 +56,8 @@ xterm
mc
htop
tuxc
dtrx
p7zip
topgrade
ntp
dmenu
+29 -16
View File
@@ -3,31 +3,44 @@ DESKTOP="i3"
echo "========================="
echo "| ${DESKTOP} VOID x86_64 |"
echo " ------------------------"
CURRENT=https://alpha.de.repo.voidlinux.org/current
MUTILIB=https://alpha.de.repo.voidlinux.org/current/multilib
NONFREE=https://alpha.de.repo.voidlinux.org/current/nonfree
CURRENT=https://mirrors.servercentral.com/voidlinux/current
MUTILIB=https://mirrors.servercentral.com/voidlinux/current/multilib
NONFREE=https://mirrors.servercentral.com/voidlinux/current/nonfree
FILENAME="void-live-${DESKTOP}-unofficial"
DATE=$(date +%Y%m%d)
KERNEL=$(uname -r)
BUILDDIR="$(pwd)/build"
#shift $((OPTIND - 1))
retry=0
#: ${ARCH:=$(uname -m)}
until [ -f ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso ];do
((retry++))
if [[ $retry -gt 2 ]];then
break
fi
sudo ./mklive.sh \
-a x86_64 \
-r ${CURRENT} \
-r ${MUTILIB} \
-r ${NONFREE} \
-p "$(grep '^[^#].' ${DESKTOP}-x64.packages)" \
-T "Void Linux ${DESKTOP} Unofficial" \
-o ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso
sudo ./mklive.sh \
-a x86_64 \
-r "${CURRENT}" \
-r "${MULTILIB}" \
-p "$(grep '^[^#].' ${DESKTOP}-x64.packages)" \
-T "Void Linux ${DESKTOP} Unofficial" \
-o ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso
done
if [ ! -f ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso ];then
echo "Error: ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso : does not exist! Aborting!"
echo "ERR=1" > error-status.txt
exit 1
retries=${1}
until [[ $retries -gt 2 ]];do
echo "Retrying build ${retries}"
((retries++))
bash ${0} ${retries}
done
if [[ ! -f ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso ]];then
echo "Error: ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso : does not exist! Aborting!"
echo "ERR=1" > error-status.txt
exit 1
fi
fi
sha256sum ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso >> sha256sums.txt
View File
View File
View File
View File
View File
View File
View File
Regular → Executable
+17 -9
View File
@@ -485,8 +485,15 @@ menu_partitions() {
if [ $? -eq 0 ]; then
local device=$(cat $ANSWER)
DIALOG --title "Modify Partition Table on $device" --msgbox "\n
${BOLD}cfdisk will be executed in disk $device.${RESET}\n\n
DIALOG --title " Select the software for partitioning " \
--menu "$MENULABEL" ${MENUSIZE} \
"cfdisk" "Easy to use" \
"fdisk" "More advanced"
if [ $? -eq 0 ]; then
local software=$(cat $ANSWER)
DIALOG --title "Modify Partition Table on $device" --msgbox "\n
${BOLD}${software} will be executed in disk $device.${RESET}\n\n
For BIOS systems, MBR or GPT partition tables are supported.\n
To use GPT on PC BIOS systems an empty partition of 1MB must be added\n
at the first 2GB of the disk with the TOGGLE \`bios_grub' enabled.\n
@@ -498,13 +505,14 @@ At least 1 partition is required for the rootfs (/).\n
For swap, RAM*2 must be really enough. For / 600MB are required.\n\n
${BOLD}WARNING: /usr is not supported as a separate partition.${RESET}\n
${RESET}\n" 18 80
if [ $? -eq 0 ]; then
while true; do
clear; cfdisk $device; PARTITIONS_DONE=1
break
done
else
return
if [ $? -eq 0 ]; then
while true; do
clear; $software $device; PARTITIONS_DONE=1
break
done
else
return
fi
fi
fi
}
Regular → Executable
View File
Regular → Executable
+6 -3
View File
@@ -22,10 +22,12 @@ alsa-plugins-pulseaudio
#USERLAND PACKAGES
elogind
exfat-utils
fuse-exfat
sddm
konsole
bash-completion
pm-utils
nano
git
vim
@@ -52,11 +54,12 @@ inetutils
usbutils
wget
curl
dtrx
p7zip
xterm
htop
tuxc
topgrade
keepassxc
octoxbps
ntp
void-repo-multilib
@@ -78,4 +81,4 @@ kaccounts-integration
kaccounts-providers
dolphin
adapta-kde
papirus-icon-theme
adwaita-icon-theme
+31 -13
View File
@@ -3,9 +3,9 @@ DESKTOP="kde"
echo "========================="
echo "| ${DESKTOP} VOID x86_64 |"
echo " ------------------------"
CURRENT=https://alpha.de.repo.voidlinux.org/current
MUTILIB=https://alpha.de.repo.voidlinux.org/current/multilib
#NONFREE=https://repo.voidlinux.eu/current/nonfree
CURRENT=https://mirrors.servercentral.com/voidlinux/current
MUTILIB=https://mirrors.servercentral.com/voidlinux/current/multilib
NONFREE=https://mirrors.servercentral.com/voidlinux/current/nonfree
FILENAME="void-live-${DESKTOP}-unofficial"
DATE=$(date +%Y%m%d)
KERNEL=$(uname -r)
@@ -15,18 +15,36 @@ BUILDDIR="$(pwd)/build"
#: ${ARCH:=$(uname -m)}
sudo ./mklive.sh \
-a x86_64 \
-r ${CURRENT} \
-r ${MUTILIB} \
-p "$(grep '^[^#].' ${DESKTOP}-x64.packages)" \
-T "Void Linux ${DESKTOP} Unofficial" \
-o ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso
retry=0
until [ -f ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso ];do
((retry++))
if [[ $retry -gt 2 ]];then
break
fi
sudo ./mklive.sh \
-a x86_64 \
-r "${CURRENT}" \
-r "${MULTILIB}" \
-p "$(grep '^[^#].' ${DESKTOP}-x64.packages)" \
-T "Void Linux ${DESKTOP} Unofficial" \
-o ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso
done
if [ ! -f ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso ];then
echo "Error: ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso : does not exist! Aborting!"
echo "ERR=1" > error-status.txt
exit 1
retries=${1}
until [[ $retries -gt 2 ]];do
echo "Retrying build ${retries}"
((retries++))
bash ${0} ${retries}
done
if [[ ! -f ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso ]];then
echo "Error: ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso : does not exist! Aborting!"
echo "ERR=1" > error-status.txt
exit 1
fi
fi
sha256sum ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso >> sha256sums.txt
View File
View File
Regular → Executable
+7 -1
View File
@@ -58,6 +58,10 @@ mount_pseudofs() {
mount -r --bind /$f "$ROOTFS/$f"
fi
done
if ! mountpoint -q "$ROOTFS/tmp" ; then
mkdir -p "$ROOTFS/tmp"
mount -o mode=0755,nosuid,nodev -t tmpfs tmpfs "$ROOTFS/tmp"
fi
}
umount_pseudofs() {
@@ -71,6 +75,7 @@ umount_pseudofs() {
umount -f "$ROOTFS/$f" >/dev/null 2>&1
done
fi
umount -f "$ROOTFS/tmp" >/dev/null 2>&1
}
run_cmd_target() {
@@ -237,7 +242,7 @@ register_binfmt() {
# use the static one always and make sure it shows up at the same
# place in the host and the chroot.
if [ ! -x "$ROOTFS/usr/bin/$QEMU_BIN" ] ; then
cp -f "$(which "$QEMU_BIN")" "$ROOTFS/usr/bin" ||
install -m755 -D "$(which "$QEMU_BIN")" "$ROOTFS/usr/bin/$QEMU_BIN" ||
die "Could not install $QEMU_BIN to $ROOTFS/usr/bin/"
fi
}
@@ -263,6 +268,7 @@ set_target_arch_from_platform() {
i686*) XBPS_TARGET_ARCH="i686";;
x86_64*) XBPS_TARGET_ARCH="x86_64";;
GCP*) XBPS_TARGET_ARCH="x86_64";;
pinebookpro*) XBPS_TARGET_ARCH="aarch64";;
*) die "$PROGNAME: Unable to compute target architecture from platform";;
esac
Regular → Executable
+4
View File
@@ -24,6 +24,10 @@ alsa-plugins-pulseaudio
#USERLAND PACKAGES
elogind
exfat-utils
fuse-exfat
wget
lxdm
pm-utils
bash-completion
+13 -4
View File
@@ -18,16 +18,25 @@ BUILDDIR="$(pwd)/build"
sudo ./mklive.sh \
-a x86_64 \
-r ${CURRENT} \
-r ${MUTILIB} \
# -r ${MUTILIB} \
-r ${NONFREE} \
-p "$(grep '^[^#].' ${DESKTOP}-x64.packages)" \
-T "Void Linux ${DESKTOP} Unofficial" \
-o ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso
if [ ! -f ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso ];then
echo "Error: ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso : does not exist! Aborting!"
echo "ERR=1" > error-status.txt
exit 1
retries=${1}
until [[ $retries -gt 2 ]];do
echo "Retrying build ${retries}"
((retries++))
bash ${0} ${retries}
done
if [[ ! -f ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso ]];then
echo "Error: ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso : does not exist! Aborting!"
echo "ERR=1" > error-status.txt
exit 1
fi
fi
sha256sum ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso >> sha256sums.txt
Regular → Executable
+7 -3
View File
@@ -7,14 +7,12 @@ dialog
cryptsetup
lvm2
mdadm
ConsoleKit2
# X PACKAGES
xorg-minimal
xorg-input-drivers
xorg-video-drivers
xrandr
intel-ucode
setxkbmap
xauth
font-misc-misc
@@ -24,8 +22,11 @@ alsa-plugins-pulseaudio
#USERLAND PACKAGES
elogind
exfat-utils
fuse-exfat
wget
qt5-plugin-sqlite
pm-utils
nano
bash-completion
git
@@ -52,6 +53,8 @@ pavucontrol
xterm
htop
tuxc
dtrx
p7zip
topgrade
ntp
octoxbps
@@ -65,3 +68,4 @@ ntfs-3g
gnome-keyring
network-manager-applet
falkon
papirus-icon-theme
+29 -17
View File
@@ -3,32 +3,44 @@ DESKTOP="lxqt"
echo "========================="
echo "| ${DESKTOP} VOID x86_64 |"
echo " ------------------------"
CURRENT=https://alpha.de.repo.voidlinux.org/current
MUTILIB=https://alpha.de.repo.voidlinux.org/current/multilib
NONFREE=https://alpha.de.repo.voidlinux.org/current/nonfree
CURRENT=https://mirrors.servercentral.com/voidlinux/current
MUTILIB=https://mirrors.servercentral.com/voidlinux/current/multilib
NONFREE=https://mirrors.servercentral.com/voidlinux/current/nonfree
FILENAME="void-live-${DESKTOP}-unofficial"
DATE=$(date +%Y%m%d)
KERNEL=$(uname -r)
BUILDDIR="$(pwd)/build"
#shift $((OPTIND - 1))
retry=0
#: ${ARCH:=$(uname -m)}
sudo ./mklive.sh \
-a x86_64 \
-r ${CURRENT} \
-r ${MUTILIB} \
-r ${NONFREE} \
-p "$(grep '^[^#].' ${DESKTOP}-x64.packages)" \
-T "Void Linux ${DESKTOP} Unofficial" \
-o ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso
until [ -f ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso ];do
((retry++))
if [[ $retry - gt 2 ]];then
break
fi
sudo ./mklive.sh \
-a x86_64 \
-r "${CURRENT}" \
-r "${MULTILIB}" \
-p "$(grep '^[^#].' ${DESKTOP}-x64.packages)" \
-T "Void Linux ${DESKTOP} Unofficial" \
-o ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso
done
if [ ! -f ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso ];then
echo "Error: ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso : does not exist! Aborting!"
echo "ERR=1" > error-status.txt
exit 1
retries=${1}
until [[ $retries -gt 2 ]];do
echo "Retrying build ${retries}"
((retries++))
bash ${0} ${retries}
done
if [[ ! -f ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso ]];then
echo "Error: ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso : does not exist! Aborting!"
echo "ERR=1" > error-status.txt
exit 1
fi
fi
sha256sum ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso >> sha256sums.txt
Regular → Executable
+7 -2
View File
@@ -7,13 +7,11 @@ dialog
cryptsetup
lvm2
mdadm
ConsoleKit2
# X PACKAGES
xorg-minimal
xorg-input-drivers
xorg-video-drivers
intel-ucode
setxkbmap
xauth
xrandr
@@ -24,6 +22,10 @@ alsa-plugins-pulseaudio
#USERLAND PACKAGES
elogind
exfat-utils
fuse-exfat
wget
lxdm
mate
mate-extra
@@ -49,6 +51,8 @@ alsa-plugins-pulseaudio
xterm
htop
tuxc
dtrx
p7zip
topgrade
ntp
octoxbps
@@ -62,3 +66,4 @@ ntfs-3g
gnome-keyring
network-manager-applet
firefox
papirus-icon-theme
+26 -14
View File
@@ -11,24 +11,36 @@ DATE=$(date +%Y%m%d)
KERNEL=$(uname -r)
BUILDDIR="$(pwd)/build"
#shift $((OPTIND - 1))
retry=0
#: ${ARCH:=$(uname -m)}
./mklive.sh \
-a x86_64 \
-r ${CURRENT} \
-r ${MUTILIB} \
-r ${NONFREE} \
-p "$(grep '^[^#].' ${DESKTOP}-x64.packages)" \
-T "Void Linux ${DESKTOP} Unofficial" \
-o ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso
until [ -f ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso ];do
((retry++))
if [[ $retry -gt 2 ]];then
break
fi
sudo ./mklive.sh \
-a x86_64 \
-r "${CURRENT}" \
-r "${MULTILIB}" \
-p "$(grep '^[^#].' ${DESKTOP}-x64.packages)" \
-T "Void Linux ${DESKTOP} Unofficial" \
-o ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso
done
if [ ! -f ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso ];then
echo "Error: ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso : does not exist! Aborting!"
echo "ERR=1" > error-status.txt
exit 1
retries=${1}
until [[ $retries -gt 2 ]];do
echo "Retrying build ${retries}"
((retries++))
bash ${0} ${retries}
done
if [[ ! -f ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso ]];then
echo "Error: ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso : does not exist! Aborting!"
echo "ERR=1" > error-status.txt
exit 1
fi
fi
sha256sum ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso >> sha256sums.txt
Regular → Executable
+24 -3
View File
@@ -143,7 +143,7 @@ fi
# Be absolutely certain the platform is supported before continuing
case "$PLATFORM" in
bananapi|beaglebone|cubieboard2|cubietruck|odroid-c2|odroid-u2|rpi|rpi2|rpi3|usbarmory|GCP|*-musl);;
bananapi|beaglebone|cubieboard2|cubietruck|odroid-c2|odroid-u2|rpi|rpi2|rpi3|usbarmory|GCP|pinebookpro|*-musl);;
*) die "The $PLATFORM is not supported, exiting..."
esac
@@ -165,6 +165,17 @@ if [ "$BOOT_FSTYPE" = "vfat" ]; then
_args="-I -F16"
fi
BOOT_START=2048
ROOT_START=
case "$PLATFORM" in
pinebookpro*)
BOOT_START=32768
# Without this, sfdisk creates root partition starting at
# 2048, overlapping u-boot reserved space and boot partition.
ROOT_START=$BOOT_START
;;
esac
case "$PLATFORM" in
cubieboard2|cubietruck|ci20*|odroid-c2*)
# These platforms use a single partition for the entire filesystem.
@@ -184,8 +195,8 @@ _EOF
# layout for new platforms.
sfdisk "${FILENAME}" <<_EOF
label: dos
2048,${BOOT_FSSIZE},b,*
,+,L
${BOOT_START},${BOOT_FSSIZE},b,*
${ROOT_START},+,L
_EOF
LOOPDEV=$(losetup --show --find --partscan "$FILENAME")
# Normally we need to quote to prevent argument splitting, but
@@ -247,6 +258,10 @@ if [ -n "$BOOT_UUID" ]; then
echo "UUID=$BOOT_UUID /boot $BOOT_FSTYPE defaults${fstab_args} 0 2" >> "${ROOTFS}/etc/fstab"
fi
# Images are shipped with root as the only user by default, so we need to
# ensure ssh login is possible for headless setups.
sed -i "${ROOTFS}/etc/ssh/sshd_config" -e 's|^#\(PermitRootLogin\) .*|\1 yes|g'
# This section does final configuration on the images. In the case of
# SBCs this writes the bootloader to the image or sets up other
# required binaries to boot. In the case of images destined for a
@@ -278,6 +293,12 @@ ci20*)
dd if="${ROOTFS}/boot/u-boot-spl.bin" of="${LOOPDEV}" obs=512 seek=1 >/dev/null 2>&1
dd if="${ROOTFS}/boot/u-boot.img" of="${LOOPDEV}" obs=1K seek=14 >/dev/null 2>&1
;;
pinebookpro*)
dd if="${ROOTFS}/boot/idbloader.img" of="${LOOPDEV}" seek=64 conv=notrunc,fsync >/dev/null 2>&1
dd if="${ROOTFS}/boot/u-boot.itb" of="${LOOPDEV}" seek=16384 conv=notrunc,fsync >/dev/null 2>&1
run_cmd_chroot "${ROOTFS}" "xbps-reconfigure -f pinebookpro-kernel"
cleanup_chroot
;;
GCP*)
# Google Cloud Platform image configuration for Google Cloud
# Engine. The steps below are built in reference to the
Regular → Executable
View File
Regular → Executable
View File
Regular → Executable
+8 -5
View File
@@ -51,7 +51,7 @@ Usage: $PROGNAME [options] <platform> <base-tarball>
Supported platforms: i686, x86_64, GCP,
dockstar, bananapi, beaglebone, cubieboard2, cubietruck,
odroid-c2, odroid-u2, rpi, rpi2 (armv7), rpi3 (aarch64),
usbarmory, ci20, pogoplugv4
usbarmory, ci20, pogoplugv4, pinebookpro
Options
-b <syspkg> Set an alternative base-system package (defaults to base-system)
@@ -61,6 +61,7 @@ Options
-C <file> Full path to the XBPS configuration file
-r <repo> Set XBPS repository (may be set multiple times)
-x <num> Use <num> threads to compress the image (dynamic if unset)
-o <file> Filename to write the PLATFORMFS archive to
-n Do not compress the image, instead print out the rootfs directory
-h Show this help
-V Show version
@@ -74,15 +75,16 @@ _EOF
BASEPKG=base-system
COMPRESSION="y"
while getopts "b:p:k:c:C:r:x:nhV" opt; do
while getopts "b:p:k:c:C:r:x:o:nhV" opt; do
case $opt in
b) BASEPKG="$OPTARG" ;;
p) EXTRA_PKGS="$OPTARG" ;;
k) POST_CMD="$OPTARG" ;;
c) XBPS_CACHEDIR="--cachedir=$OPTARG" ;;
C) XBPS_CONFFILE="-C $OPTARG" ;;
r) XBPS_REPOSITORY="$XBPS_REPOSITORY --repository=$OPTARG" ;;
r) XBPS_REPOSITORY="--repository=$OPTARG $XBPS_REPOSITORY" ;;
x) COMPRESSOR_THREADS="$OPTARG" ;;
o) FILENAME="$OPTARG" ;;
n) COMPRESSION="n" ;;
h) usage; exit 0 ;;
V) echo "$PROGNAME @@MKLIVE_VERSION@@"; exit 0 ;;
@@ -125,6 +127,7 @@ case "$PLATFORM" in
i686*) PKGS="$BASEPKG" ;;
x86_64*) PKGS="$BASEPKG" ;;
GCP*) PKGS="$BASEPKG ${PLATFORM%-*}-base" ;;
pinebookpro*) PKGS="$BASEPKG ${PLATFORM%-*}-base" ;;
*) die "$PROGNAME: invalid platform!";;
esac
@@ -157,7 +160,7 @@ tar xf "$BASE_TARBALL" -C "$ROOTFS"
# $PKGS. After this step we will do an xbps-reconfigure -f $PKGS
# under the correct architecture to ensure the system is setup
# correctly.
run_cmd_target "xbps-install -S $XBPS_CONFFILE $XBPS_CACHEDIR $XBPS_REPOSITORY -r $ROOTFS -y $PKGS"
run_cmd_target "xbps-install -SU $XBPS_CONFFILE $XBPS_CACHEDIR $XBPS_REPOSITORY -r $ROOTFS -y $PKGS"
# Now that the packages are installed, we need to chroot in and
# reconfigure. This needs to be done as the right architecture.
@@ -222,7 +225,7 @@ fi
if [ "$COMPRESSION" = "y" ]; then
# Finally we can compress the tarball, the name will include the
# platform and the date on which the tarball was built.
tarball=void-${PLATFORM}-PLATFORMFS-$(date '+%Y%m%d').tar.xz
tarball=${FILENAME:-void-${PLATFORM}-PLATFORMFS-$(date '+%Y%m%d').tar.xz}
run_cmd "tar -cp --posix --xattrs -C $ROOTFS . | xz -T${COMPRESSOR_THREADS:-0} -9 > $tarball "
# Now that we have the tarball we don't need the rootfs anymore, so we
Regular → Executable
+5 -3
View File
@@ -136,15 +136,17 @@ run_cmd_target "xbps-install -S $XBPS_CONFFILE $XBPS_CACHEDIR $XBPS_REPOSITORY -
# so we set this here.
chmod 755 "$ROOTFS"
# The pseudofs mountpoints are needed for the qemu support in cases
# where we are running things that aren't natively executable.
# The binfmt setup and pseudofs mountpoints are needed for the qemu
# support in cases where we are running things that aren't natively
# executable.
register_binfmt
mount_pseudofs
# With everything setup, we can now run the install to load the
# system package into the rootfs. This will not produce a
# bootable system but will instead produce a base component that can
# be quickly expanded to perform other actions on.
run_cmd_target "xbps-install -S $XBPS_CONFFILE $XBPS_CACHEDIR $XBPS_REPOSITORY -r $ROOTFS -y $SYSPKG"
run_cmd_target "xbps-install -SU $XBPS_CONFFILE $XBPS_CACHEDIR $XBPS_REPOSITORY -r $ROOTFS -y $SYSPKG"
# Enable en_US.UTF-8 locale and generate it into the target ROOTFS.
# This is a bit of a hack since some glibc stuff doesn't really work
+4 -2
View File
@@ -6,12 +6,14 @@ grub-x86_64-efi
dialog
cryptsetup
lvm2
mdadm
ConsoleKit2
mdadm
#USERLAND PACKAGES
exfat-utils
fuse-exfat
wget
NetworkManager
nano
vim
+21 -5
View File
@@ -6,14 +6,13 @@ grub-x86_64-efi
dialog
cryptsetup
lvm2
mdadm
ConsoleKit2
mdadm
# X PACKAGES
xorg-minimal
xorg-input-drivers
xorg-video-drivers
intel-ucode
#intel-ucode
setxkbmap
xauth
font-misc-misc
@@ -23,16 +22,32 @@ alsa-plugins-pulseaudio
#USERLAND PACKAGES
elogind
exfat-utils
fuse-exfat
wget
lxdm
pm-utils
nano
xdg-utils
xdg-desktop-portal
xdg-desktop-portal-gtk
xdg-desktop-portal-kde
xdg-user-dirs
xdg-user-dirs-gtk
libappindicator
AppStream
libvdpau-va-gl
vdpauinfo
pipewire
gstreamer1-pipewire
upower
flatpak
git
vim
dtrx
unzip
p7zip
unrar
#unrar
bash-completion
cinnamon
xrandr
@@ -56,3 +71,4 @@ ntfs-3g
gnome-keyring
network-manager-applet
firefox
papirus-icon-theme
+20 -4
View File
@@ -7,14 +7,12 @@ dialog
cryptsetup
lvm2
mdadm
ConsoleKit2
# X PACKAGES
xorg-minimal
xorg-input-drivers
xorg-video-drivers
xrandr
intel-ucode
setxkbmap
xauth
font-misc-misc
@@ -24,14 +22,31 @@ alsa-plugins-pulseaudio
#USERLAND PACKAGES
elogind
exfat-utils
fuse-exfat
wget
lxdm
enlightenment
terminology
econnman
upower
xdg-utils
xdg-desktop-portal
xdg-desktop-portal-gtk
xdg-desktop-portal-kde
xdg-user-dirs
xdg-user-dirs-gtk
libappindicator
AppStream
libvdpau-va-gl
vdpauinfo
pipewire
gstreamer1-pipewire
upower
flatpak
zenity
bash-completion
pm-utils
nano
xdg-utils
vim
@@ -43,6 +58,8 @@ pavucontrol
xterm
htop
tuxc
dtrx
p7zip
topgrade
ntp
void-repo-multilib
@@ -57,6 +74,5 @@ ntfs-3g
gnome-keyring
network-manager-applet
firefox
Adapta
papirus-icon-theme
gnome-themes-standard
+20 -3
View File
@@ -7,13 +7,14 @@ dialog
cryptsetup
lvm2
mdadm
ConsoleKit2
# X PACKAGES
elogind
exfat-utils
fuse-exfat
xorg-minimal
xorg-input-drivers
xorg-video-drivers
intel-ucode
setxkbmap
xauth
xrandr
@@ -24,12 +25,26 @@ alsa-plugins-pulseaudio
#USERLAND PACKAGES
wget
lxdm
pm-utils
nano
xdg-utils
xdg-desktop-portal
xdg-desktop-portal-gtk
xdg-desktop-portal-kde
xdg-user-dirs
xdg-user-dirs-gtk
libappindicator
AppStream
libvdpau-va-gl
vdpauinfo
pipewire
gstreamer1-pipewire
upower
flatpak
git
vim
upower
bash-completion
i3-gaps
i3blocks
@@ -41,6 +56,8 @@ xterm
mc
htop
tuxc
dtrx
p7zip
topgrade
ntp
dmenu
+84
View File
@@ -0,0 +1,84 @@
#GRUB
grub-i386-efi
grub-x86_64-efi
#BASE PKGS
dialog
cryptsetup
lvm2
mdadm
# X PACKAGES
xorg
xorg-input-drivers
xorg-video-drivers
setxkbmap
xauth
xrandr
font-misc-misc
terminus-font
dejavu-fonts-ttf
alsa-plugins-pulseaudio
#USERLAND PACKAGES
elogind
exfat-utils
fuse-exfat
sddm
konsole
bash-completion
nano
git
vim
xdg-utils
xdg-desktop-portal
xdg-desktop-portal-gtk
xdg-desktop-portal-kde
xdg-user-dirs
xdg-user-dirs-gtk
libappindicator
AppStream
libvdpau-va-gl
vdpauinfo
pipewire
gstreamer1-pipewire
upower
flatpak
alsa-utils
alsa-plugins-pulseaudio
plasma-pa
paprefs
pavucontrol
inetutils
usbutils
wget
curl
dtrx
p7zip
xterm
htop
tuxc
topgrade
octoxbps
ntp
void-repo-multilib
void-repo-nonfree
octoxbps
kdesu
gvfs-afc
gvfs-mtp
gvfs-smb
udisks2
ntfs-3g
gnome-keyring
NetworkManager
plasma-nm
firefox
kde5
kde5-baseapps
kaccounts-integration
kaccounts-providers
dolphin
adapta-kde
adwaita-icon-theme
-53
View File
@@ -1,53 +0,0 @@
#GRUB
grub-i386-efi
grub-x86_64-efi
#BASE PKGS
dialog
cryptsetup
lvm2
mdadm
ConsoleKit2
# X PACKAGES
xorg-minimal
xorg-input-drivers
xorg-video-drivers
intel-ucode
setxkbmap
xrandr
xauth
font-misc-misc
terminus-font
dejavu-fonts-ttf
alsa-plugins-pulseaudio
#USERLAND PACKAGES
lxdm
pm-utils
bash-completion
nano
git
vim
lxde
xdg-utils
gnome-terminal
alsa-utils
pavucontrol
xterm
htop
tuxc
topgrade
ntp
octoxbps
gksu
void-repo-multilib
gvfs-afc
gvfs-mtp
gvfs-smb
udisks2
ntfs-3g
gnome-keyring
network-manager-applet
falkon
+20 -3
View File
@@ -7,14 +7,12 @@ dialog
cryptsetup
lvm2
mdadm
ConsoleKit2
# X PACKAGES
xorg-minimal
xorg-input-drivers
xorg-video-drivers
xrandr
intel-ucode
setxkbmap
xauth
font-misc-misc
@@ -24,12 +22,28 @@ alsa-plugins-pulseaudio
#USERLAND PACKAGES
elogind
exfat-utils
fuse-exfat
wget
qt5-plugin-sqlite
pm-utils
nano
bash-completion
git
xdg-utils
xdg-desktop-portal
xdg-desktop-portal-gtk
xdg-desktop-portal-kde
xdg-user-dirs
xdg-user-dirs-gtk
libappindicator
AppStream
libvdpau-va-gl
vdpauinfo
pipewire
gstreamer1-pipewire
upower
flatpak
vim
lxdm
lxqt
@@ -39,6 +53,8 @@ pavucontrol
xterm
htop
tuxc
dtrx
p7zip
topgrade
ntp
octoxbps
@@ -52,3 +68,4 @@ ntfs-3g
gnome-keyring
network-manager-applet
falkon
papirus-icon-theme
+20 -2
View File
@@ -7,13 +7,11 @@ dialog
cryptsetup
lvm2
mdadm
ConsoleKit2
# X PACKAGES
xorg-minimal
xorg-input-drivers
xorg-video-drivers
intel-ucode
setxkbmap
xauth
xrandr
@@ -24,6 +22,10 @@ alsa-plugins-pulseaudio
#USERLAND PACKAGES
elogind
exfat-utils
fuse-exfat
wget
lxdm
mate
mate-extra
@@ -31,11 +33,26 @@ bash-completion
caja-extensions
alsa-utils
xdg-utils
xdg-desktop-portal
xdg-desktop-portal-gtk
xdg-desktop-portal-kde
xdg-user-dirs
xdg-user-dirs-gtk
libappindicator
AppStream
libvdpau-va-gl
vdpauinfo
pipewire
gstreamer1-pipewire
upower
flatpak
pavucontrol
alsa-plugins-pulseaudio
xterm
htop
tuxc
dtrx
p7zip
topgrade
ntp
octoxbps
@@ -49,3 +66,4 @@ ntfs-3g
gnome-keyring
network-manager-applet
firefox
papirus-icon-theme
+19 -3
View File
@@ -7,14 +7,12 @@ dialog
cryptsetup
lvm2
mdadm
ConsoleKit2
# X PACKAGES
xorg-minimal
xorg-input-drivers
xorg-video-drivers
xrandr
intel-ucode
setxkbmap
xauth
font-misc-misc
@@ -24,11 +22,27 @@ alsa-plugins-pulseaudio
#USERLAND PACKAGES
exfat-utils
elogind
fuse-exfat
wget
lxdm
xdg-utils
xdg-desktop-portal
xdg-desktop-portal-gtk
xdg-desktop-portal-kde
xdg-user-dirs
xdg-user-dirs-gtk
libappindicator
AppStream
libvdpau-va-gl
vdpauinfo
pipewire
gstreamer1-pipewire
upower
flatpak
zenity
bash-completion
pm-utils
nano
xdg-utils
vim
@@ -40,6 +54,8 @@ pavucontrol
xterm
htop
tuxc
dtrx
p7zip
topgrade
ntp
void-repo-multilib
Regular → Executable
View File
Regular → Executable
View File
View File
Regular → Executable
View File
Regular → Executable
View File
Regular → Executable
View File
Regular → Executable
View File
Regular → Executable
View File
Regular → Executable
View File

Before

Width:  |  Height:  |  Size: 345 KiB

After

Width:  |  Height:  |  Size: 345 KiB

Regular → Executable
View File
Regular → Executable
View File

Before

Width:  |  Height:  |  Size: 25 KiB

After

Width:  |  Height:  |  Size: 25 KiB

Regular → Executable
+6 -3
View File
@@ -7,14 +7,12 @@ dialog
cryptsetup
lvm2
mdadm
ConsoleKit2
# X PACKAGES
xorg-minimal
xorg-input-drivers
xorg-video-drivers
xrandr
intel-ucode
setxkbmap
xauth
font-misc-misc
@@ -24,6 +22,10 @@ alsa-plugins-pulseaudio
#USERLAND PACKAGES
exfat-utils
elogind
fuse-exfat
wget
lxdm
xdg-utils
xdg-desktop-portal
@@ -41,7 +43,6 @@ upower
flatpak
zenity
bash-completion
pm-utils
nano
xdg-utils
vim
@@ -53,6 +54,8 @@ pavucontrol
xterm
htop
tuxc
dtrx
p7zip
topgrade
ntp
void-repo-multilib
+29 -16
View File
@@ -3,31 +3,44 @@ DESKTOP="xfce"
echo "========================="
echo "| ${DESKTOP} VOID x86_64 |"
echo " ------------------------"
CURRENT=https://alpha.de.repo.voidlinux.org/current
MUTILIB=https://alpha.de.repo.voidlinux.org/current/multilib
NONFREE=https://alpha.de.repo.voidlinux.org/current/nonfree
CURRENT=https://mirrors.servercentral.com/voidlinux/current
MUTILIB=https://mirrors.servercentral.com/voidlinux/current/multilib
NONFREE=https://mirrors.servercentral.com/voidlinux/current/nonfree
FILENAME="void-live-${DESKTOP}-unofficial"
DATE=$(date +%Y%m%d)
KERNEL=$(uname -r)
BUILDDIR="$(pwd)/build"
#shift $((OPTIND - 1))
retry=0
#: ${ARCH:=$(uname -m)}
until [ -f ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso ];do
((retry++))
if [[ $retry -gt 2 ]];then
break
fi
sudo ./mklive.sh \
-a x86_64 \
-r ${CURRENT} \
-r ${MUTILIB} \
-r ${NONFREE} \
-p "$(grep '^[^#].' ${DESKTOP}-x64.packages)" \
-T "Void Linux ${DESKTOP} Unofficial" \
-o ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso
sudo ./mklive.sh \
-a x86_64 \
-r "${CURRENT}" \
-r "${MULTILIB}" \
-p "$(grep '^[^#].' ${DESKTOP}-x64.packages)" \
-T "Void Linux ${DESKTOP} Unofficial" \
-o ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso
done
if [ ! -f ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso ];then
echo "Error: ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso : does not exist! Aborting!"
echo "ERR=1" > error-status.txt
exit 1
retries=${1}
until [[ $retries -gt 2 ]];do
echo "Retrying build ${retries}"
((retries++))
bash ${0} ${retries}
done
if [[ ! -f ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso ]];then
echo "Error: ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso : does not exist! Aborting!"
echo "ERR=1" > error-status.txt
exit 1
fi
fi
sha256sum ${FILENAME}-x86_64-${KERNEL}-${DATE}.iso >> sha256sums.txt